"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactShortcutContext = void 0;
const react_1 = __importDefault(require("react"));
exports.ReactShortcutContext = react_1.default.createContext({
    registerShortcut: () => throwProviderNotFoundError(),
    unregisterShortcut: () => throwProviderNotFoundError(),
    enableShortcut: () => throwProviderNotFoundError(),
    disableShortcut: () => throwProviderNotFoundError(),
    isShortcutRegistered: () => throwProviderNotFoundError(),
    getCurrentKeyPressed: () => throwProviderNotFoundError(),
    onKeydown: () => throwProviderNotFoundError(),
    onKeyup: () => throwProviderNotFoundError(),
});
function throwProviderNotFoundError() {
    throw new Error('ShortcutProvider is not found!');
}
//# sourceMappingURL=shortcut-context.js.map