import React from 'react';
export const ReactShortcutContext = React.createContext({
    registerShortcut: () => throwProviderNotFoundError(),
    unregisterShortcut: () => throwProviderNotFoundError(),
    enableShortcut: () => throwProviderNotFoundError(),
    disableShortcut: () => throwProviderNotFoundError(),
    isShortcutRegistered: () => throwProviderNotFoundError(),
    getCurrentKeyPressed: () => throwProviderNotFoundError(),
    onKeydown: () => throwProviderNotFoundError(),
    onKeyup: () => throwProviderNotFoundError(),
});
function throwProviderNotFoundError() {
    throw new Error('ShortcutProvider is not found!');
}
//# sourceMappingURL=shortcut-context.js.map