export declare type ModifierKeyCode = 'ControlLeft' | 'ControlRight' | 'ShiftLeft' | 'ShiftRight' | 'AltLeft' | 'AltRight' | 'MetaLeft' | 'MetaRight';
export declare type NormalKeyCode = 'OSLeft' | 'OSRight' | 'F1' | 'F2' | 'F3' | 'F4' | 'F5' | 'F6' | 'F7' | 'F8' | 'F9' | 'F10' | 'F11' | 'F12' | 'Digit1' | 'Digit2' | 'Digit3' | 'Digit4' | 'Digit5' | 'Digit6' | 'Digit7' | 'Digit8' | 'Digit9' | 'Digit0' | 'Numpad1' | 'Numpad2' | 'Numpad3' | 'Numpad4' | 'Numpad5' | 'Numpad6' | 'Numpad7' | 'Numpad8' | 'Numpad9' | 'Numpad0' | 'NumpadEnter' | 'NumpadMultiply' | 'NumpadDivide' | 'NumpadSubtract' | 'NumpadAdd' | 'NumLock' | 'NumpadDecimal' | 'KeyA' | 'KeyB' | 'KeyC' | 'KeyD' | 'KeyE' | 'KeyF' | 'KeyG' | 'KeyH' | 'KeyI' | 'KeyJ' | 'KeyK' | 'KeyL' | 'KeyM' | 'KeyN' | 'KeyO' | 'KeyP' | 'KeyQ' | 'KeyR' | 'KeyS' | 'KeyT' | 'KeyU' | 'KeyV' | 'KeyW' | 'KeyX' | 'KeyY' | 'KeyZ' | 'Comma' | 'Period' | 'Slash' | 'Semicolon' | 'Quote' | 'BracketLeft' | 'BracketRight' | 'Backslash' | 'Backquote' | 'Space' | 'Escape' | 'Minus' | 'Equal' | 'Backspace' | 'Delete' | 'Tab' | 'CapsLock' | 'Enter' | 'ArrowUp' | 'ArrowDown' | 'ArrowLeft' | 'ArrowRight' | 'Home' | 'End' | 'PageUp' | 'PageDown' | 'Insert';
export declare type KeyCode = ModifierKeyCode | NormalKeyCode;
export declare type ModifierKeyCodeName = 'ControlOrCommand' | 'Ctrl' | 'CtrlLeft' | 'CtrlRight' | 'Control' | 'ControlLeft' | 'ControlRight' | 'Shift' | 'ShiftLeft' | 'ShiftRight' | 'Option' | 'OptionLeft' | 'OptionRight' | 'Alt' | 'AltLeft' | 'AltRight' | 'Command' | 'CommandLeft' | 'CommandRight' | 'Meta' | 'MetaLeft' | 'MetaRight';
export declare type NormalKeyCodeName = 'F1' | 'F2' | 'F3' | 'F4' | 'F5' | 'F6' | 'F7' | 'F8' | 'F9' | 'F10' | 'F11' | 'F12' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' | '0' | 'a' | 'b' | 'c' | 'd' | 'e' | 'f' | 'g' | 'h' | 'i' | 'j' | 'k' | 'l' | 'm' | 'n' | 'o' | 'p' | 'q' | 'r' | 's' | 't' | 'u' | 'v' | 'w' | 'x' | 'y' | 'z' | ',' | '.' | '/' | ';' | "'" | '[' | ']' | '\\' | '`' | 'Space' | 'Esc' | 'Escape' | '-' | '=' | '+' | '*' | 'NumLock' | 'Backspace' | 'Delete' | 'Tab' | 'CapsLock' | 'Enter' | 'ArrowUp' | 'ArrowDown' | 'ArrowLeft' | 'ArrowRight' | 'Home' | 'End' | 'PageUp' | 'PageDown' | 'Insert';
export declare type KeyCodeName = ModifierKeyCodeName | NormalKeyCodeName;
export declare const keyCodeName2KeyCode: Map<KeyCodeName, KeyCode[]>;
export declare const keyCode2KeyCodeName: Map<KeyCode, KeyCodeName>;
export declare const KeyCodesSupported: KeyCode[];
