import React from 'react';
import { Accelerator } from './accelerator-parser';
export declare type Dispose = () => void;
export declare type Filter = (event: KeyboardEvent) => boolean;
export declare type KeyboardEventListener = (event: KeyboardEvent) => void;
export interface ReactShortcutContextValue {
    registerShortcut(accelerator: Accelerator, callback: KeyboardEventListener): boolean;
    unregisterShortcut(accelerator: Accelerator): boolean;
    enableShortcut(accelerator: Accelerator): boolean;
    disableShortcut(accelerator: Accelerator): boolean;
    isShortcutRegistered(accelerator: Accelerator): boolean;
    getCurrentKeyPressed(): Accelerator;
    onKeydown(listener: KeyboardEventListener): Dispose;
    onKeyup(listener: KeyboardEventListener): Dispose;
}
export declare const ReactShortcutContext: React.Context<ReactShortcutContextValue>;
