import { Dispose, Filter, KeyboardEventListener } from './shortcut-context';
import { type Accelerator } from './accelerator-parser';
interface ShortcutRegisterOptions {
    strict?: boolean;
    debug?: boolean;
    filter?: Filter;
}
export declare class ShortcutRegistry {
    private static KeyCodeModifiers;
    private static LooseModifiersName;
    private static keyCodeIsModifiers;
    private static defaultFilter;
    private readonly debug;
    private readonly options;
    private readonly parser;
    private readonly eventEmitter;
    private shortcutRegistered;
    private modifiersPressed;
    private normalKeysPressed;
    constructor(options?: ShortcutRegisterOptions);
    registerShortcut(accelerator: Accelerator, callback: KeyboardEventListener): boolean;
    unregisterShortcut(accelerator: Accelerator): boolean;
    disableShortcut(accelerator: Accelerator): boolean;
    enableShortcut(accelerator: Accelerator): boolean;
    isShortcutRegistered(accelerator: Accelerator): boolean;
    getCurrentKeyPressed(): Accelerator;
    onKeydown(cb: KeyboardEventListener): Dispose;
    onKeyup(cb: KeyboardEventListener): Dispose;
    private matchShortcut;
    attachElement(ele: Window | HTMLElement): Dispose;
    private handleKeydown;
    private handleKeyup;
    private clear;
    private triggerShortcutEventIfHandlerFound;
}
export {};
